Bug 127360 - eth0 not detected by b44.ko on Dell Inspiron 1100
eth0 not detected by b44.ko on Dell Inspiron 1100
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-07-07 00:14 EDT by Colin Kuskie
Modified: 2015-01-04 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-14 01:05:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output of lspci (7.11 KB, text/plain)
2004-07-08 23:30 EDT, Colin Kuskie
no flags Details

  None (edit)
Description Colin Kuskie 2004-07-07 00:14:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Fedora Core 2

Dell Inspiron 1100

using stock kernel from ISO's and latest kernel (2.6.6-1.435.2.3)

The hardware is properly detected, but whenever the network subsystem
is started I get this error message:

Shutting down loopback interface:  [OK]
Setting network parameters:  [OK]
Bringing up loopback interface:  [OK]
Bringing up interface eth0:  interface 'eth0' not found
b44.ko device eth0 does not seem to be present, delaying
initialization.  [FAILED]

It works fine when using the broadcom driver (v3.0.7)

Version-Release number of selected component (if applicable):
kernel-2.6.5-1.358, kernel-2.6.6-1.435.2.3

How reproducible:

Steps to Reproduce:
1.Configure modprobe.conf to use b44.ko instead of bcm4400.ko
2.Boot using b44.ko

Additional info:
Comment 1 Pekka Pietikäinen 2004-07-08 09:07:55 EDT
Hiya, could you tell me what lspci -vvn says.

Also dmesg of what happens when you try modprobe b44 would be useful.
Comment 2 Don Hardaway 2004-07-08 14:57:54 EDT
I am having the same problem on my new dell d800 laptop.  It has the
bcm5700 nic and says device eth0 does not seem to be present.  I have
the latest kernel as above.  Please tell me the easiest way to get it
to work.  thanks
Comment 3 Don Hardaway 2004-07-08 14:58:56 EDT
sorry, i forgot to mention that mine is using the tg3 driver.
Comment 4 Arjan van de Ven 2004-07-08 15:05:07 EDT
..... so it's an entirely different laptop AND an entirely different
network chip... sounds you're better of with an entirely different
(new) bug ;)
Comment 5 Colin Kuskie 2004-07-08 23:30:40 EDT
Created attachment 101741 [details]
Output of lspci
Comment 6 Colin Kuskie 2004-07-08 23:32:39 EDT
lspci output attached.

dmesg from boot:
b44.c:v0.94 (May 4, 2004)
divert: allocating divert_blk for eth0
eth0: Broadcom 4400 10/100BaseT Ethernet 00:0b:db:1c:6f:52
divert: freeing divert_blk for eth0
ip_tables: (C) 2000-2002 Netfilter core team
ip_conntrack version 2.1 (3059 buckets, 24472 max) - 296 bytes per

After boot, b44 doesn't show up in a lsmod, so I tried manually doing
a modprobe b44 and the network came up fine.

Here's dmesg after the manual modprobe:
b44.c:v0.94 (May 4, 2004)
divert: allocating divert_blk for eth0
eth0: Broadcom 4400 10/100BaseT Ethernet 00:0b:db:1c:6f:52
b44: eth0: Link is down.
b44: eth0: Link is up at 100 Mbps, full duplex.
b44: eth0: Flow control is on for TX and on for RX.
eth0: no IPv6 routers present

Comment 7 Barry K. Nathan 2004-07-14 23:55:39 EDT
Colin, how much RAM does your computer have?
Comment 8 Colin Kuskie 2004-07-17 17:43:26 EDT
The computer has 384 Mb of RAM.

In any case, the problem has gone away.  I no longer need to manually
modprobe the file to get it to work.  As soon as I set up the network
configuration using the system-config-network tool it started working
just fine.

Unless the developers would like me to try some more things, I'd like
to suggest that the ticket be closed.

Note You need to log in before you can comment on or make changes to this bug.